package p10_klasy.v4;

class Osoba {
    static final int WIEK_PELNOLETNIOSCI = 18;
    String imie, nazwisko;
    int wiek;

    { // blok inicjalizacyjny - fragment kodu, który wykona się jeszcze przed konstruktorem podczas tworzenia każdego obiektu
        System.out.println("Powstaje obiekt Osoba");
    }

    Osoba() {
    }

    Osoba(String imie, String nazwisko, int wiek) {
        this.imie = imie;
        this.nazwisko = nazwisko;
        this.wiek = wiek;
    }

    boolean jestPelnoletnia() {
        return wiek >= WIEK_PELNOLETNIOSCI;
    }
    void przedstawSie() {
        System.out.println("Nazywam się " + imie + " " + nazwisko + " i mam " + wiek + " lat.");
    }

    public String toString() {
        return imie + " " + nazwisko + " (" + wiek + " lat)";
    }

}
